Subject: Re: bug#65102: 30.0.50; `byte-recompile-directory' ignores every file

From: Jim Porter <[email-masked]>
Date: Sat, 5 Aug 2023 21:32:21 -0700

On 8/5/2023 6:16 AM, Wing Hei Chan wrote:
> The `ignore-files-regexp' in `byte-recompile-directory' is bound to the
> result of (mapconcat #'identity byte-compile-ignore-files "\\|"),
> which is simply an empty string when `byte-compile-ignore-files' is
> empty.  In turn, this causes every file to be ignored, since
> `string-match-p' matches every string when given an empty regexp.

This should be fixed by commit 1e8322bb26e, now merged to both master 
and the release branch. (I had to read up on how gitmerge.el works, so 
hopefully I did the merge properly.)